import java.awt.Color;
import java.awt.Shape;
import java.awt.geom.Line2D;
import java.util.ArrayList;

/**
 * Create a freehand pencil tool
 * 
 * @author Joe Wanstrath. Created Apr 10, 2008.
 */
public class Pencil extends Line2D.Double implements Tool {
	private Color color;
	private ArrayList<Shape> Curve= new ArrayList<Shape>();

	/**
	 * 
	 * creat a pencil
	 *
	 * @param x1
	 * @param x2
	 * @param y1
	 * @param y2
	 */
	public Pencil(int x1,int x2, int y1, int y2) {
		super(x1,x2,y1,y2);
	}

	/**
	 * 
	 * return an arraylist of shapes representing this
	 *
	 * @return curve
	 */
	public ArrayList<Shape> getCurve(){
		return this.Curve;
	}
	
	public Color getColor() {
		return this.color;
	}

	public void setColor(Color color) {
		this.color = color;
		
	}
}

